/*
 *  @file   MemMgrSupportNull.c
 *
 *  @brief      XDC file
 *
 *
 *  ============================================================================
 *
 *  Copyright (c) 2008-2009, Texas Instruments Incorporated
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions
 *  are met:
 *  
 *  *  Redistributions of source code must retain the above copyright
 *     notice, this list of conditions and the following disclaimer.
 *  
 *  *  Redistributions in binary form must reproduce the above copyright
 *     notice, this list of conditions and the following disclaimer in the
 *     documentation and/or other materials provided with the distribution.
 *  
 *  *  Neither the name of Texas Instruments Incorporated nor the names of
 *     its contributors may be used to endorse or promote products derived
 *     from this software without specific prior written permission.
 *  
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 *  AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
 *  THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
 *  PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR
 *  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
 *  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 *  PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 *  OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 *  OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
 *  EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *  Contact information for paper mail:
 *  Texas Instruments
 *  Post Office Box 655303
 *  Dallas, Texas 75265
 *  Contact information: 
 *  http://www-k.ext.ti.com/sc/technical-support/product-information-centers.htm?
 *  DCMP=TIHomeTracking&HQS=Other+OT+home_d_contact
 *  ============================================================================
 *  
 */





/*-------------------------    XDC  specific includes ----------------------  */
#include <xdc/std.h>
#include <xdc/runtime/Memory.h>
#include <xdc/runtime/System.h>
#include <xdc/runtime/Startup.h>
#include <xdc/runtime/Assert.h>
#include <xdc/runtime/Error.h>
#include <xdc/runtime/IHeap.h>

/*-------------------------  BIOS includes ---------------------------------- */


/*-------------------------    Generic includes  ---------------------------- */
#include <string.h>

/*-------------------------    IPC module specific includes ------------------*/
#include <ti/sdo/ipc/_SharedRegion.h>

#include <ti/syslink/inc/SyslinkMemMgr_errBase.h>

#include "package/internal/MemMgrSupportNull.xdc.h"




#if defined (__cplusplus)
extern "C" {
#endif



/** ============================================================================
 *  External APIs
 *  ============================================================================
 */

/*
 *  ========  TilerMemory_Params_init ========
 *  Function to get the default parameters of the TilerMemory SyslinkMemMgr.
 *
 *  This function can be called by the application to get their
 *  default parameters.
 *
 */
Int MemMgrSupportNull_Instance_init(MemMgrSupportNull_Object         *obj,
                                 const MemMgrSupportNull_Params      *params,
                                 Error_Block                         *eb)
{

    Int32 status = MEMMGR_SUCCESS;

    return(status);
}

Void MemMgrSupportNull_Instance_finalize(MemMgrSupportNull_Object *obj,
                                         Int                       status)
{

}

/* Function to allocate memory from the SyslinkMemMgr */
Ptr
MemMgrSupportNull_alloc (MemMgrSupportNull_Object *obj,
                         Ptr                       allocParams)
{
    Ptr   buf = NULL;
    return (buf);
}

/* Function to allocate memory from the SyslinkMemMgr */
Int32
MemMgrSupportNull_free (MemMgrSupportNull_Object *obj,
                        Ptr                       freeParams)
{
    Int32 status = MEMMGR_SUCCESS;
    return (status);
}

/* Function to allocate memory from the SyslinkMemMgr.Calls sharedregion API to do
 * address translations
 */
Ptr
MemMgrSupportNull_translate (MemMgrSupportNull_Object      *obj,
                          Ptr                            srcAddr,
                          MemMgrSupportNull_AddrType     srcAddrType,
                          MemMgrSupportNull_AddrType     desAddrType)
{
    Ptr       dstAddr = NULL;
    return (dstAddr);

}


#if defined (__cplusplus)
}
#endif /* defined (__cplusplus) */






